# Profit and loss details

Retrieve details of a user’s portfolio i.e., the profit and loss incurred in the various markets. Please note that this is a <mark style="background-color:purple;">Private 🔒</mark> route which means it needs to be authorised by the account initiating this request.

> Note: You will need to include the JWT Auth token to request headers to access this endpoint. To get the JWT Auth Token, refer the [login](https://docs.tanx.fi/tech/api-documentation/account/login) section of the documentation.

### Endpoint <a href="#endpoint" id="endpoint"></a>

```bash
GET /sapi/v1/user/pnl/
```

### Request Headers <a href="#request-headers" id="request-headers"></a>

```json
{
  "Authorization": "JWT ***"
}
```

#### Example <a href="#example" id="example"></a>

```bash
{baseurl}/sapi/v1/user/pnl/
```

#### Response <a href="#response" id="response"></a>

```json
{
  "status": "success",
  "message": "Retrieval Successful",
  "payload": [
    {
      "currency": "btc",
      "pnl_currency": "usdc",
      "total_credit": "30.2311686",
      "total_debit": "8.6779552",
      "total_credit_value": "951376.399690608",
      "total_debit_value": "263030.247889309",
      "average_buy_price": "31470.05040653995757213302",
      "average_sell_price": "30310.16429876349211851197",
      "average_balance_price": "31446.4028484392969497",
      "total_balance_value": "677771.031254780024102"
    },
    {
      "currency": "eth",
      "pnl_currency": "usdc",
      "total_credit": "30.2311686",
      "total_debit": "8.6779552",
      "total_credit_value": "951376.399690608",
      "total_debit_value": "263030.247889309",
      "average_buy_price": "31470.05040653995757213302",
      "average_sell_price": "30310.16429876349211851197",
      "average_balance_price": "31446.4028484392969497",
      "total_balance_value": "677771.031254780024102"
    }
  ]
}
```
